
Summary:          Network and serial communication widgets for Gtkmm
Name:             conexusmm
Version:          0.5.0
Release:          6%{?dist}
License:          LGPLv2
URL:              http://conexus.sourceforge.net
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/conexus/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    hal-devel >= 0.5.2 gtkmm24-devel >= 2.6 conexus-devel >= 0.5.3 papyrus-devel >= 0.7 pkgconfig

%description
Conexusmm provides Gtkmm widgets for the Conexus library, a generalized
C++ I/O library that includes support for BSD sockets, serial/tty,
packet capture (via pcap), et. al. conexus utilizes sigc++ for object
communication.

%package          devel
Summary:          Headers for developing programs that will use %{name}
Group:            Development/Libraries
Requires:         conexusmm = %{version}-%{release}
Requires:         hal-devel >= 0.5.2 gtkmm24-devel >= 2.6 conexus-devel >= 0.5.3 papyrus-devel >= 0.7 pkgconfig

%description    devel
This package contains the libraries and header files needed for
developing %{name} applications.

%prep
%setup -q

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/lib*conexusmm*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*conexusmm*.so
%{_libdir}/pkgconfig/conexusmm*.pc
%{_includedir}/conexusmm-0.5/
%doc ChangeLog docs/reference docs/gallery
%{_bindir}/*conexusmm*-demo
%{_datadir}/conexusmm-0.5.0/

%changelog
* Thu Jan 01 2009 Tim Niemueller <tim@niemueller.de> - 0.5.0-6
- Rebuild for new papyrus 0.7.1-6
- Sync to F-10 version/release

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.0-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.0-4
- Autorebuild for GCC 4.3

* Tue Mar 13 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.5.0-3
- Bump release... didn't make new-sources

* Tue Mar 13 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.5.0-2
- Rebuild against conexus 0.5.3

* Sat Mar 10 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.5.0-1
- New release
- Added -p option to make install to preserve timestamps
- Removed cp of docs and changed doc inclustion to docs/reference
- Removed cp of gallery and changed gallery to docs/gallery

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-5
- Bump release for mass rebuild

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-4
- Bump release tag for new sources

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-3
- Bump release tag for new sources

* Sat Aug 26 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-2
- Bump release tag for new sources

* Sat Aug 26 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-1
- New release

* Sun Aug 20 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.0-1
- New release fixes demo search directories
- Added /usr/share/conexusmm-x.x.x/
- Added papyrus BuildRequires for spinner widgets

* Mon Jul 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-3
- Removed pkgconfig from BuildRequires
- Added pkgconfig to -devel Requires

* Sat Jul 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-2
- Changed make to %%{__make}
- Changed %%{name} to autoconf subst that puts specific name in devel requires
- Added comment regarding why cp occurs for docs
- Removed doxygen, graphviz and pkgconfig from devel requires
- Added package name to globs in so libs, .pc and demos

* Sat Jul 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-1
- Started from branch of conexus project
